import QtQuick 1.0
import AppViewer 1.0

Rectangle {
    width: 360
    height: 640

    gradient:
        Gradient {
            GradientStop {
                position: 0
                color: "#ccc094"
            }

            GradientStop {
                position: 0.8
                color: "#777057"
            }

            GradientStop {
                position: 1
                color: "#000000"
            }
        }

    Button
    {
        id: myButton
        text: ""
        posY:100

        onPressed: {
            if(state == "portrait")
            {
                appviewer.setOrientation(QmlApplicationViewer.ScreenOrientationLockLandscape)
                state = "landscape"
            }
            else if(state == "landscape")
            {
                appviewer.setOrientation(QmlApplicationViewer.ScreenOrientationLockPortrait)
                state = "portrait"
            }
        }

        state: "portrait"
        states:[
            State{
                name: "portrait"
                PropertyChanges {
                    target: myButton
                    text: "Switch to landscape"
                }
            },
            State{
                name: "landscape"
                PropertyChanges {
                    target: myButton
                    text: "Switch to portrait"
                }
            }
        ]
    }
}
